### ✨ New Features
* Added Studio Tagger. ([#3510](https://github.com/stashapp/stash/pull/3510))
* Added options to skip multiple results and single name performers during Identify. ([#3707](https://github.com/stashapp/stash/pull/3707))
* Added folder move detection during scan. ([#3817](https://github.com/stashapp/stash/pull/3817))
* Changed Scene to accept multiple URLs. ([#3852](https://github.com/stashapp/stash/pull/3852))
* Added ability to choose from multiple images in the performer scrape dialog. ([#3965](https://github.com/stashapp/stash/pull/3965))
* Added AirPlay and Chromecast support. ([#3907](https://github.com/stashapp/stash/pull/3907))
* Added support for creating Movies from the Movie select dropdown. ([#3928](https://github.com/stashapp/stash/pull/3928))
* Added Optimise Database task. ([#3929](https://github.com/stashapp/stash/pull/3929))
* Added support for serving interactive CSVs directly to Handy. ([#3756](https://github.com/stashapp/stash/pull/3756))
* Added video and audio codec filters for scene queries. ([#3843](https://github.com/stashapp/stash/pull/3843))

### 🎨 Improvements
* Significantly redesigned the Movie, Performer, Studio, and Tag detail pages. ([#3946](https://github.com/stashapp/stash/pull/3946))
* Added age, gender, country and image to Performer stash-box results. ([#3964](https://github.com/stashapp/stash/pull/3964))
* Refactored graphql client cache invalidation to improve performance when creating objects. ([#3912](https://github.com/stashapp/stash/pull/3912))
* Added Gallery card to the Gallery tab on the Scene page. ([#3927](https://github.com/stashapp/stash/pull/3927))
* Added logging when deleting files. ([#4004](https://github.com/stashapp/stash/pull/4004))
* Added more stats to the stats page. ([#3812](https://github.com/stashapp/stash/pull/3812))
* Added support for `-v/--version` command line flag. ([#3883](https://github.com/stashapp/stash/pull/3883))

### 🐛 Bug fixes
* **[0.22.1]** Fixed Batch Update Performers not working correctly. ([#4024](https://github.com/stashapp/stash/pull/4024))
* **[0.22.1]** Fixed panic when creating Studios during Identify task. ([#4024](https://github.com/stashapp/stash/pull/4024))
* **[0.22.1]** Added explicit option to store blobs in database at setup, and fixed default blobs path. ([#4038](https://github.com/stashapp/stash/pull/4038))
* **[0.22.1]** Fixed dropdown appearing beneath other controls on the Performer and Tag pages. ([#4039](https://github.com/stashapp/stash/pull/4039))
* **[0.22.1]** Fixed buttons moving around when setting marker time when creating a new marker. ([#4040](https://github.com/stashapp/stash/pull/4040))
* Fixing sorting of performer tags. ([#4018](https://github.com/stashapp/stash/pull/4018))
* Fixed scene URLs being cleared when merging scenes. ([#4005](https://github.com/stashapp/stash/pull/4005))
* Fixed setting the Create Missing flag in the Identify dialog not working. ([#4008](https://github.com/stashapp/stash/pull/4008))
* Fixed scene marker previews not being renamed when a file hash is changed. ([#3988](https://github.com/stashapp/stash/pull/3988))
* Fixed parent/child tags not showing popover. ([#3968](https://github.com/stashapp/stash/pull/3968))
* Fixed scrape not returning any results if only relationship fields were set. ([#3954](https://github.com/stashapp/stash/pull/3954))
* Fixed rotating in iOS causing scene player to exit fullscreen. ([#3919](https://github.com/stashapp/stash/pull/3919))
* Repositioned the tag popover to the right on drop-down tag select control. ([#3939](https://github.com/stashapp/stash/pull/3939))
* Fixed on-screen controls not showing correctly on iPad in Safari. ([#3882](https://github.com/stashapp/stash/pull/3882))
* Fixed marker tag exclude filtering. ([#3846](https://github.com/stashapp/stash/pull/3846))
* Fixed error after deleting studio or tag. ([#3835](https://github.com/stashapp/stash/pull/3835))
* Fixed scene queue show more button appending scenes incorrectly. ([#3851](https://github.com/stashapp/stash/pull/3851))
* Fixed path sorting ordering numbers before special characters. ([#3829](https://github.com/stashapp/stash/pull/3829))
* Fixed scene player not staying in full screen when loading a new scene. ([#3828](https://github.com/stashapp/stash/pull/3828))
* Fixed badge counter value for sub-tags/studios. ([#3816](https://github.com/stashapp/stash/pull/3816))
* Adjusted dimensions for resolution display and filtering. ([#3798](https://github.com/stashapp/stash/pull/3798))
