### ✨ New Features
* Added manager for installing, updating and uninstalling scrapers and plugins. ([#4242](https://github.com/stashapp/stash/pull/4242))
* Added support for enabling and disabling plugins in the UI. ([#4141](https://github.com/stashapp/stash/pull/4141))
* Added support for plugin settings. ([#4143](https://github.com/stashapp/stash/pull/4143))
* Added support for plugin assets, external scripts and CSP overrides. ([#4260](https://github.com/stashapp/stash/pull/4260))
* Added UI plugin API to better support UI-based plugins. ([#4256](https://github.com/stashapp/stash/pull/4256))
* Added Studio Code and Photographer to Galleries. ([#4195](https://github.com/stashapp/stash/pull/4195))
* Added Details, Studio Code and Photographer to Images. ([#4217](https://github.com/stashapp/stash/pull/4217))
* Added scene framerate filter. ([#4161](https://github.com/stashapp/stash/pull/4161))
* Added option to Duplicate Checker to select all files except the highest resolution. ([#4286](https://github.com/stashapp/stash/pull/4286))

### 🎨 Improvements
* **[0.24.2]** Hide Tags input in Tagger when Set Tags is disabled. ([#4440](https://github.com/stashapp/stash/pull/4440))
* Show Performer image in Performer select list. ([#4227](https://github.com/stashapp/stash/pull/4227))
* Match Performers by alias during scraping and tagging if no Performer is found with the exact name (only if a single performer is found with the alias). ([#4182](https://github.com/stashapp/stash/pull/4182))
* Show Performer disambiguation and add stash-box links to Studio in tagger results. ([#4180](https://github.com/stashapp/stash/pull/4180))
* Show endpoints with stash ids. ([#4216](https://github.com/stashapp/stash/pull/4216))
* Load card thumbnails and similar images lazily when a component comes into view, instead of all at once. ([#4228](https://github.com/stashapp/stash/pull/4228))
* Made the random sorting more random. ([#4246](https://github.com/stashapp/stash/pull/4246))
* Added more VR projection modes. ([#3799](https://github.com/stashapp/stash/pull/3799))
* Improved the filtering behaviour when selecting a folder. ([#4277](https://github.com/stashapp/stash/pull/4277))
* Added support for setting plugins path from the UI. ([#4382](https://github.com/stashapp/stash/pull/4382))

### 🐛 Bug fixes
* **[0.24.3]** Fixed error when editing case of existing studio name. ([#4447](https://github.com/stashapp/stash/pull/4447))
* **[0.24.3]** Fixed videos muting after auto-play fails. ([#4450](https://github.com/stashapp/stash/pull/4450))
* **[0.24.2]** Fixed error when renaming marker files during scene merge operation ([#4446](https://github.com/stashapp/stash/pull/4446))
* **[0.24.2]** Fixed error when creating/updating a Performer where an alias is the same as the Performer name. ([#4443](https://github.com/stashapp/stash/pull/4443))
* **[0.24.2]** Errors during the tagger Scrape All operation now output to the scene card and no longer stop the operation. ([#4442](https://github.com/stashapp/stash/pull/4442))
* **[0.24.2]** Fixed studio image sizing on details pages. ([#4441](https://github.com/stashapp/stash/pull/4441))
* **[0.24.2]** Fixed URL not being overwritten when specified during Identify ([#4412](https://github.com/stashapp/stash/pull/4412))
* **[0.24.2]** Fixed plugin settings to be sorted alphabetically, instead of being displayed in a random order. ([#4435](https://github.com/stashapp/stash/pull/4435))
* **[0.24.2]** Fixed scene queue not respecting the Auto-start video setting. ([#4428](https://github.com/stashapp/stash/pull/4428))
* **[0.24.2]** Fixed performers incorrectly being matched by alias during scraping. ([#4432](https://github.com/stashapp/stash/pull/4432))
* **[0.24.2]** Fixed error when filtering on Scene interactive speed. ([#4414](https://github.com/stashapp/stash/pull/4414))
* **[0.24.2]** Fixed plugin CSP not being enacted. ([#4424](https://github.com/stashapp/stash/pull/4424))
* **[0.24.1]** Fixed external player button not working correctly. ([#4403](https://github.com/stashapp/stash/pull/4403))
* **[0.24.1]** Fixed image thumbnail generation on arm devices. ([#4402](https://github.com/stashapp/stash/pull/4402))
* **[0.24.1]** Reverted change to modal button order. ([#4400](https://github.com/stashapp/stash/pull/4400))
* Fixed submitting to stash-box not working after switching to another scene using the queue. ([#4354](https://github.com/stashapp/stash/pull/4354))
* Fixed UI crash when clearing a value from a URL or alias list. ([#4344](https://github.com/stashapp/stash/pull/4344))
* Fixed panic when exporting galleries. ([#4311](https://github.com/stashapp/stash/pull/4311))
* Fixed error when setting performer height with decimals. ([#4283](https://github.com/stashapp/stash/pull/4283))
* Fixed Performer stash ids being overwritten instead of merged when saving a Performer in the Performer tagger. ([#4215](https://github.com/stashapp/stash/pull/4215))
* Fixed organized being set to false if `Mark as Organized on save` is false when saving a scene in the tagger. ([#4213](https://github.com/stashapp/stash/pull/4213))
* Fixed URLs not populating correctly when scraping galleries. ([#4206](https://github.com/stashapp/stash/pull/4206))
* Fixed not being able to click next/previous scene if the applicable scenes had not been loaded by the queue. ([#4325](https://github.com/stashapp/stash/pull/4325))
* Fixed confirmation dialog not appearing on some screens when using the delete keyboard shortcut. ([#4387](https://github.com/stashapp/stash/pull/4387))
* Fixed desktop notifications not appearing on macos. ([#4153](https://github.com/stashapp/stash/pull/4153))
* Fixed video sometimes pausing when clicking on the scene scrubber. ([#4295](https://github.com/stashapp/stash/pull/4295))
* Fixed file paths not being shown when deleting image clips. ([#4323](https://github.com/stashapp/stash/pull/4323))
* Fixed image o-counts not being included in stats page. ([#4386](https://github.com/stashapp/stash/pull/4323))
