# Keyboard Shortcuts

## Global shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `?` | Display manual |

### Global Navigation

| Keyboard sequence | Target page |
|-------------------|--------|
| `g s` | Scenes |
| `g i` | Images |
| `g v` | Movies |
| `g k` | Markers |
| `g l` | Galleries |
| `g p` | Performers |
| `g u` | Studios |
| `g t` | Tags |
| `g z` | Settings |

## Query page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `/` | Focus search field / focus query field in filter dialog |
| `f` | Show Add Filter dialog |
| `r` | Reshuffle if sorted by random |
| `v g` | Set view to grid |
| `v l` | Set view to list |
| `v w` | Set view to wall |
| `+` | Increase zoom slider |
| `-` | Decrease zoom slider |
| `←` | Previous page of results |
| `→` | Next page of results |
| `Shift + ←` | Go to current results page -10 |
| `Shift + →` | Go to current results page +10 |
| `Ctrl + Home` | Go to first page of results |
| `Ctrl + End` | Go to last page of results |
| `s a` | Select all on page |
| `s n` | Unselect all |
| `e` | Edit selected |
| `d d` | Delete selected |

## Scenes page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `p r` | Play random scene |

## Scene page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `a` | Details tab |
| `q` | Queue tab |
| `k` | Markers tab |
| `i` | File info tab |
| `e` | Edit tab |
| `h` | History tab |
| `,` | Hide/Show sidebar |
| `.` | Hide/Show scene scrubber |
| `o` | Increment O-Counter |
| `p n` | Play next scene in queue |
| `p p` | Play previous scene in queue |
| `p r` | Play random scene in queue |
| `Space` | Play/pause player |
| `Enter` | Play/pause player |
| `←` | Seek backwards by 10 seconds |
| `→` | Seek forwards by 10 seconds |
| `Shift + ←` | Seek backwards by 5 seconds |
| `Shift + →` | Seek forwards by 5 seconds |
| `Ctrl/Alt + ←` | Seek backwards by 1 minute |
| `Ctrl/Alt + →` | Seek forwards by 1 minute |
| `{1-9}` | Seek to 10-90% duration |
| `[` | Scrub backwards 10% duration |
| `]` | Scrub forwards 10% duration |
| `↑` | Increase volume 10% |
| `↓` | Decrease volume 10% |
| `m` | Toggle mute |
| `l` | A/B looping toggle. Press once to set start point. Press again to set end point. Press again to disable loop. |
| `Shift + l` | Toggle looping of scene when it's over |

### Scene Markers tab shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `n` | Display Create Markers dialog |

### Edit Scene tab shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `r {1-5}` | Set rating (stars) |
| `r 0` | Unset rating (stars) |
| `r {0-9} {0-9}` | Set rating (decimal - `00` for `10.0`) |
| ``r ` `` | Unset rating (decimal) |
| `s s` | Save Scene |
| `d d` | Delete Scene |
| `Ctrl + v` | Paste Scene cover |

[//]: # "Commented until implementation is dealt with"
[//]: # "(| `l` | Focus Gallery selector |)"
[//]: # "(| `u` | Focus Studio selector |)"
[//]: # "(| `p` | Focus Performers selector |)"
[//]: # "(| `v` | Focus Movies selector |)"
[//]: # "(| `t` | Focus Tags selector |)"

## Movies Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `n` | New Movie |

## Movie Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `e` | Edit Movie |
| `s s` | Save Movie |
| `d d` | Delete Movie |
| `r {1-5}` | [Edit mode] Set rating (stars) |
| `r 0` | [Edit mode] Unset rating (stars) |
| `r {0-9} {0-9}` | [Edit mode] Set rating (decimal - `r 0 0` for `10.0`) |
| ``r ` `` | [Edit mode] Unset rating (decimal) |
| `,` | Expand/Collapse Details |
| `Ctrl + v` | Paste Movie image |

[//]: # "Commented until implementation is dealt with"
[//]: # "(| `u` | Focus Studio selector (in edit mode) |)"

## Markers Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `p r` | Play random marker |

## Performers Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `n` | New Performer |
| `p r` | Open random Performer |

## Performer Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `c` | Scenes tab |
| `e` | Edit tab |
| `o` | Operations tab |
| `f` | Toggle favourite |
| `,` | Expand/Collapse Details |

### Edit Performer tab shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `s s` | Save Performer |
| `d d` | Delete Performer |
| `Ctrl + v` | Paste Performer image |

## Studios Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `n` | New Studio |

## Studio Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `e` | Edit Studio |
| `s s` | Save Studio |
| `d d` | Delete Studio |
| `,` | Expand/Collapse Details |
| `Ctrl + v` | Paste Studio image |

## Tags Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `n` | New Tag |

## Tag Page shortcuts

| Keyboard sequence | Action |
|-------------------|--------|
| `e` | Edit Tag |
| `s s` | Save Tag |
| `d d` | Delete Tag |
| `,` | Expand/Collapse Details |
| `Ctrl + v` | Paste Tag image |